Summary:	User & Group administration tools for Samba-OpenLDAP
Name:		smbldap-tools
Version:	0.9.11
Release:	%mkrel 1
Group:		System/Servers
License:	GPLv2+
URL:		https://github.com/fumiyas/smbldap-tools
Source0:	https://github.com/fumiyas/smbldap-tools/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	mkntpwd.tar.bz2
Patch0:		smbldap-tools-mdvconfig.diff
Patch1:		smbldap-tools-gcc14.patch

%description
Smbldap-tools is a set of perl scripts written by Idealx. Those scripts are
designed to help managing users and groups in a ldap directory server and
can be used both by users and administrators of Linux systems:
. users can change their password in a way similar to the standard
  "passwd" command,
. administrators can perform users and groups management

Scripts are described in the Smbldap-tools User Manual
(http://samba.idealx.org/smbldap-tools.en.html) which also give command
line examples.
You can download the latest version on Idealx web site
(http://samba.idealx.org/dist/).
Comments and/or questions can be sent to the smbldap-tools mailing list
(http://lists.idealx.org/lists/samba).

%prep
%setup -q -a1
%patch -P 0 -p0 -b .mdvconf
%patch -P 1 -p1 -b .gcc14

# nuke that IDEALX stuff from the code
for i in `find -type f`; do
    perl -pi -e "s|/etc/opt/IDEALX/smbldap-tools/|%{_sysconfdir}/smbldap-tools/|g; \
    s|/opt/IDEALX/bin:||g; \
    s|/opt/IDEALX/sbin|%{_sbindir}|g" $i
done

%build
autoreconf -vfi
# Command from build/autogen.sh
sed -n \
	-e "s/^/ /;s/$/ /;s/'/ ' /" \
	-e "/^ ac_subst_vars=/,/'/s/^.* \([A-Za-z_][A-Za-z0-9_]*\) .*/\1=@\1@/p" \
	configure > build/subst.vars.in

%configure
%make_build

pushd mkntpwd
%make_build OPTIMIZE="%optflags %ldflags"
popd

%install
make DESTDIR=%{buildroot} install

install -m0755 mkntpwd/mkntpwd %{buildroot}%{_sbindir}/

mkdir -p %{buildroot}%{_sysconfdir}/smbldap-tools
install -m0644 smbldap.conf %{buildroot}%{_sysconfdir}/smbldap-tools/
install -m0600 smbldap_bind.conf %{buildroot}%{_sysconfdir}/smbldap-tools/

mkdir -p %{buildroot}%{_mandir}/man8/
install -m0644 *.8 %{buildroot}%{_mandir}/man8/

%triggerpostun -- %{name} < 0.9.7
if [ "$1" -eq "2" ]; then ## Upgrade
    %{__perl} %{_datadir}/doc/%{name}/smbldap-upgrade-0.9.6.pl
fi

%files
%doc CONTRIBUTORS COPYING ChangeLog INFRA INSTALL README TODO
%doc smbldap-upgrade-0.9.6.pl
%dir %{_sysconfdir}/smbldap-tools
%config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap.conf
%config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap_bind.conf
%{_sbindir}/*
%{perl_vendorlib}/smbldap_tools.pm
%{_mandir}/man8/*


%changelog
* Sun Oct 27 2024 daviddavid <daviddavid> 0.9.11-1.mga10
+ Revision: 2111426
- new version: 0.9.11
- add patch to fix build with GCC 14

* Tue Mar 15 2022 umeabot <umeabot> 0.9.9-10.mga9
+ Revision: 1792762
- Mageia 9 Mass Rebuild

* Sat Mar 21 2020 umeabot <umeabot> 0.9.9-9.mga8
+ Revision: 1558666
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.9.9-8.mga7
+ Revision: 1301076
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.9.9-7.mga6
+ Revision: 1036527
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.9.9-6.mga6
+ Revision: 942731
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.9-5.mga5
+ Revision: 739760
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.9-4.mga5
+ Revision: 689207
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.9-3.mga4
+ Revision: 518420
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.9.9-2.mga3
+ Revision: 382196
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 16 2012 fwang <fwang> 0.9.9-1.mga3
+ Revision: 294423
- new version 0.9.9

* Sun Mar 06 2011 ennael <ennael> 0.9.5-6.mga1
+ Revision: 65691
- imported package smbldap-tools


* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-6mdv2010.1
+ Revision: 519071
- rebuild

* Tue Oct 06 2009 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.9.5-5mdv2010.0
+ Revision: 454903
- P1: utf8 support

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.9.5-4mdv2010.0
+ Revision: 427198
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.9.5-3mdv2009.0
+ Revision: 265708
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.5-2mdv2009.0
+ Revision: 198994
- own configuration directory, and clean up files section

* Tue Apr 22 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-1mdv2009.0
+ Revision: 196511
- 0.9.5
- rediffed P0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.4-1mdv2008.1
+ Revision: 108348
- new version
  rediff patch 0
  drop patches 1 and 2, merged upstream

* Wed Aug 01 2007 Andreas Hasenack <andreas@mandriva.com> 0.9.2-4mdv2008.0
+ Revision: 57798
- use userCN for display name attribute: it contains the
  accented characters of the user name, if any (and gecos,
  which was being used before, doesn't)

* Mon Jul 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-3mdv2008.0
+ Revision: 50633
- fix url (idealx is gone?)
- add some man pages and add build deps for it (perl-doc)
- fix some annoying referals to /opt/idealx in some files


* Wed Jul 26 2006 Andreas Hasenack <andreas@mandriva.com> 0.9.2-2mdv2007.0
+ Revision: 42099
- using "account" instead of "inetOrgPerson" for the structural
  objectClass for computer accounts (#23921)
- import smbldap-tools-0.9.2-1mdk

* Thu Jan 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-1mdk
- 0.9.2

* Tue Oct 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-3mdk
- fix #19316

* Mon Sep 19 2005 Buchan Milne <bgmilne@mandriva.org> 0.9.1-2mdk
- reapply changes as when shipped with samba to match our default smb.conf,
  LDAP layout, OpenLDAP ACLs, and default nss_ldap behaviour.

* Wed Jun 22 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-1mdk
- 0.9.1
- nuke redundant P0

* Thu Apr 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.8-1mdk
- 0.8.8
- use the macromdv2007.1- rediff P0

* Thu Feb 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.7-5mdk
- nuke compat softlinks

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.7-4mdk
- provide compat softlinks

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.7-3mdk
- provide mkntpwd (from older smbldap-tools source)

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.7-2mdk
- put the *.pm file in /usr/lib/perl5/vendor_perl/5.8.8/ (buchan)

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.7-1mdk
- initial Mandrakelinux package
- used parts of the provided spec file
- added P0

